Bug 170422 - Cups won't retry printing after a problem
Cups won't retry printing after a problem
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On: 168485
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-11 12:00 EDT by Ed Friedman
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 08:54:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Friedman 2005-10-11 12:00:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624 Netscape/7.1

Description of problem:
Sometimes the print queue stops printing.  Lpq shows something like:
printer lp is not ready

Printing will not resume until root issues the command:  /usr/bin/enable lp


Version-Release number of selected component (if applicable):
cups-1.1.23-15.1

How reproducible:
Couldn't Reproduce

Steps to Reproduce:
1.Keep printing jobs
2.Wait for printer not ready to show up in lpq
3.Printer won't start again until the enable command is issued
  

Actual Results:  After the enable command, printing resumes until sometime in the future when it
stops again.  This happens occasionally, but seems to occur on all of our computers eventually.

Expected Results:  The printer not ready statement should never occur unless a disable command is specifically given.  If the printer is out of paper or out of toner, the appropriate error message should appear.  The cups daemon should automatically be trying to print to any printer with a problem until the printing goes through successfully.  This is the way it used to work under the RedHat operating systems.

Additional info:

This problem also occurs in FC3 - not sure if it occurred in FC2 (we only ran FC2 on a single machine for a short period of time).  I'm pretty sure that it didn't occur in FC1 and am positive that it never occurred under RedHat.
Comment 1 Tim Waugh 2005-10-11 12:07:14 EDT
This backend can do what you need:

http://www.linuxprinting.org//download/printing/beh

I would love to incorporate this automatically into the system-config-printer
configuration program, but it needs redesigning for that.

So, I'll set the bug for redesigning it as blocking this.
Comment 2 Christian Iseli 2007-01-22 06:55:56 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Tim Waugh 2007-01-22 08:54:04 EST
The error policy can now be set using System->Administration->Printing,
selecting the printer, then the 'Policies' tab, and choosing an error policy. 
The default is stop-printer but abort-job and retry-job are alternatives.
Comment 4 Ed Friedman 2007-01-23 12:04:03 EST
Now that the Policy can be set, this bug can be eliminated.

Note You need to log in before you can comment on or make changes to this bug.